org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddEdgeStartStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<Edge,Edge>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeStartStep

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<Edge>>, Parameterizing, Step<Edge,Edge>, FromToModulating, Mutating<Event.EdgeAddedEvent>, Scoping, TraversalParent

      public final class AddEdgeStartStep
      extends AbstractStep<Edge,Edge>
      implements Mutating<Event.EdgeAddedEvent>, TraversalParent, Parameterizing, Scoping, FromToModulating

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `Scoping.Variable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddEdgeStartStep(Traversal.Admin traversal, String edgeLabel)`
    `AddEdgeStartStep(Traversal.Admin traversal, Traversal<?,String> edgeLabelTraversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFrom(Traversal.Admin<?,?> fromObject)`
    `void` | `addPropertyMutations(Object... keyValues)`
    `void` | `addTo(Traversal.Admin<?,?> toObject)`
    `AddEdgeStartStep` | `clone()` Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication.
    `<S,E> List<Traversal.Admin<S,E>>` | `getLocalChildren()`
    `CallbackRegistry<Event.EdgeAddedEvent>` | `getMutatingCallbackRegistry()` Gets the callback registry for events that the step raises.
    `Parameters` | `getParameters()` Gets the parameters on the step.
    `Set<String>` | `getScopeKeys()` Get the labels that this scoping step will access during the traversal
    `int` | `hashCode()`
    `protected Traverser.Admin<Edge>` | `processNextStart()`
    `void` | `setTraversal(Traversal.Admin<?,?> parentTraversal)` Set the `Traversal` that this step is contained within.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, reset, setId, setNextStep, setPreviousStep`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getGlobalChildren, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `getNullableScopeValue, getScopeValue`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.FromToModulating

      `addFrom, addTo`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### AddEdgeStartStep

          public AddEdgeStartStep(Traversal.Admin traversal,
                                  String edgeLabel)

    - #### AddEdgeStartStep

          public AddEdgeStartStep(Traversal.Admin traversal,
                                  Traversal<?,String> edgeLabelTraversal)

  - ### Method Detail

    - #### getLocalChildren

          public <S,E> List<Traversal.Admin<S,E>> getLocalChildren()

      Specified by:
        `getLocalChildren` in interface `TraversalParent`

    - #### getParameters

          public Parameters getParameters()

      Description copied from interface: `Parameterizing`
      Gets the parameters on the step.
      Specified by:
        `getParameters` in interface `Parameterizing`

    - #### getScopeKeys

          public Set<String> getScopeKeys()

      Description copied from interface: `Scoping`
      Get the labels that this scoping step will access during the traversal
      Specified by:
        `getScopeKeys` in interface `Scoping`
      Returns:
        the accessed labels of the scoping step

    - #### addPropertyMutations

          public void addPropertyMutations(Object... keyValues)

      Specified by:
        `addPropertyMutations` in interface `Mutating<Event.EdgeAddedEvent>`

    - #### addTo

          public void addTo(Traversal.Admin<?,?> toObject)

      Specified by:
        `addTo` in interface `FromToModulating`

    - #### addFrom

          public void addFrom(Traversal.Admin<?,?> fromObject)

      Specified by:
        `addFrom` in interface `FromToModulating`

    - #### processNextStart

          protected Traverser.Admin<Edge> processNextStart()

      Specified by:
        `processNextStart` in class `AbstractStep<Edge,Edge>`

    - #### getMutatingCallbackRegistry

          public CallbackRegistry<Event.EdgeAddedEvent> getMutatingCallbackRegistry()

      Description copied from interface: `Mutating`
      Gets the callback registry for events that the step raises.
      Specified by:
        `getMutatingCallbackRegistry` in interface `Mutating<Event.EdgeAddedEvent>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<Edge,Edge>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<Edge,Edge>`

    - #### setTraversal

          public void setTraversal(Traversal.Admin<?,?> parentTraversal)

      Description copied from interface: `Step`
      Set the `Traversal` that this step is contained within.
      Specified by:
        `setTraversal` in interface `Step<Edge,Edge>`
      Overrides:
        `setTraversal` in class `AbstractStep<Edge,Edge>`
      Parameters:
        `parentTraversal` - the new traversal for this step

    - #### clone

          public AddEdgeStartStep clone()

      Description copied from interface: `Step`
      Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication. When cloning a step, it is important that the steps, the cloned step is equivalent to the state of the step when `Step.reset()` is called. Moreover, the previous and next steps should be set to `EmptyStep`.
      Specified by:
        `clone` in interface `Step<Edge,Edge>`
      Overrides:
        `clone` in class `AbstractStep<Edge,Edge>`
      Returns:
        The cloned step

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.